"use strict";

import a from 'awilix';

import database_init from '../bootstrap/database_init.mjs';
import TTNAppServer from '../ttn-app-server/TTNAppServer.mjs';

const c = a.createContainer({
	injectionMode: a.InjectionMode.PROXY
});

c.register({
	database: a.asFunction(database_init).singleton(),
	TTNAppServer: a.asClass(TTNAppServer),
});
c.loadModules("../Repos.SQLite/*.mjs", {
	register: a.asClass,
	lifetime: a.Lifetime.SINGLETON
});

export default c;
