"use strict";

import fs from 'fs';

import toml from '@iarna/toml';

import c from './container.mjs';
import apply_settings from './Helpers/apply_settings.mjs';


let filename_default = "../settings.default.toml",
	filename_custom = "../../settings.toml";

if(!fs.existsSync(filename_custom))
	fs.writeFileSync(filename_custom, `# Custom settings file. This file overrides server/settings.default.toml - refer there of example of settings you can override.\n\n`);

let settings = toml.parse(fs.readFileSync(filename_default, "utf-8")),
	settings_override = toml.parse(fs.readFileSync("../../settings.custom.toml", "utf-8"));

apply_settings(settings, settings_override);

c.register({
	settings: a.asValue(settings)
});

export default settings;
